diff --git a/pgadmin/frm/frmQuery.cpp b/pgadmin/frm/frmQuery.cpp
index 45a07ea..d3d7314 100644
--- a/pgadmin/frm/frmQuery.cpp
+++ b/pgadmin/frm/frmQuery.cpp
@@ -1182,9 +1182,10 @@ void frmQuery::OnChangeNotebook(wxAuiNotebookEvent &event)
 		}
 		else
 		{
-			manager.GetPane(wxT("outputPane")).Show(false);
-			manager.GetPane(wxT("scratchPad")).Show(false);
-			manager.Update();
+			wxAuiPaneInfo outputPaneInfo = manager.GetPane(wxT("outputPane")).Show(false);
+			wxAuiPaneInfo scratchPadInfo = manager.GetPane(wxT("scratchPad")).Show(false);
+			if (outputPaneInfo.IsOk() == true && scratchPadInfo.IsOk() == true)
+				manager.Update();
 			viewMenu->Enable(MNU_OUTPUTPANE, false);
 			viewMenu->Enable(MNU_SCRATCHPAD, false);
 
